Mailinglist Archive: opensuse (1352 mails)

< Previous Next >
Re: [opensuse] Adobe Reader no longer works - 15.0
On 2018-06-05 02:44, James Knott wrote:
Since installing Leap 15.0, I now see Adobe Reader no longer works.



I managed to install acroread_from_123oS-9.5.5-8.1.i586.rpm in a virtual
machine with Leap 15.0, the last openSUSE provided acroread rpm from
version 12.3 that I have saved and used for years.

It is a 32 bit package, so also select to install the entire 32 bit
pattern in YaST. It still complains that acroreads needs but is nowhere
to be found ISO8859-1.so, but I have it installed already:

linux-phe7:~/Downloads/localrepo # ls /usr/lib/gconv/ISO8859-1.so
/usr/lib/gconv/ISO8859-1.so
linux-phe7:~/Downloads/localrepo #

so I tell yast to ignore that dependency and go ahead.

It installed a lot of packages:

glibc-32bit nss-mdns-32bit libz1-32bit libverto1-32bit
libunistring2-32bit libuuid1-32bit libtdb1-32bit libtasn1-6-32bit
libtalloc2-32bit libsasl2-3-32bit libseccomp2-32bit
libpython2_7-1_0-32bit libpopt0-32bit libnettle6-32bit libpcre1-32bit
liblzma5-32bit liblz4-1-32bit libkeyutils1-32bit libjson-c3-32bit
libgpg-error0-32bit libgmp10-32bit libffi7-32bit libfam0-gamin-32bit
libcap2-32bit libcom_err2-32bit libavahi-common3-32bit libaudit1-32bit
libattr1-32bit libargon2-1-32bit gnome-keyring-32bit glibc-locale-32bit
libopenssl1_1-32bit libcrack2-32bit libblkid1-32bit libidn2-0-32bit
libtevent0-32bit libsamba-errors0-32bit python-talloc-32bit
libselinux1-32bit libgcrypt20-32bit libp11-kit0-32bit
libhogweed4-32bit libacl1-32bit libldap-2_4-2-32bit libldb1-32bit
libtevent-util0-32bit libudev1-32bit krb5-32bit libsystemd0-32bit
libgnutls30-32bit libtirpc3-32bit libdevmapper1_03-32bit
libcryptsetup12-32bit libdbus-1-3-32bit libnsl2-32bit
libavahi-client3-32bit pam-32bit libcups2-32bit systemd-32bit
gnome-keyring-pam-32bit libdcerpc-binding0-32bit samba-libs-32bit
libsamba-util0-32bit libndr0-32bit libsamba-hostconfig0-32bit
libndr-standard0-32bit
libsamba-credentials0-32bit libsmbconf0-32bit libndr-nbt0-32bit
libwbclient0-32bit libdcerpc0-32bit libsamdb0-32bit
libndr-krb5pac0-32bit libsamba-passdb0-32bit samba-kdc-32bit
libnetapi0-32bit libsmbldap2-32bit samba-client-32bit
samba-winbind-32bit cyrus-sasl-crammd5-32bit cyrus-sasl-digestmd5-32bit
cyrus-sasl-gssapi-32bit cyrus-sasl-plain-32bit libasound2-32bit
libbz2-1-32bit libexpat1-32bit libgcc_s1-32bit libglib-2_0-0-32bit
liblua5_3-5-32bit libmagic1-32bit libmount1-32bit libnghttp2-14-32bit
libnuma1-32bit libparted0-32bit libpci3-32bit libpng16-16-32bit
libssh4-32bit libpsl5-32bit libxml2-2-32bit openslp-32bit
perl-base-32bit sysfsutils-32bit alsa-oss-32bit libdw1-32bit
libstdc++6-32bit libgmodule-2_0-0-32bit libgobject-2_0-0-32bit
libfreetype6-32bit libcurl4-32bit apulse libcroco-0_6-3-32bit
alsa-plugins-32bit libebl-plugins-32bit libpcrecpp0-32bit
libdb-4_8-32bit libgio-2_0-0-32bit fontconfig-32bit
gettext-runtime-32bit apulse-32bit libelf1-32bit cyrus-sasl-32bit
dbus-1-glib-32bit alsa-plugins-pulse-32bit rpm-32bit patterns-base-32bit
patterns-base-apparmor-32bit patterns-base-base-32bit
patterns-base-sw_management-32bit patterns-base-enhanced_base-32bit
patterns-base-x11-32bit patterns-base-minimal_base-32bit
patterns-base-x11_enhanced-32bit gdk-pixbuf-query-loaders-32bit
libatk-1_0-0-32bit libXau6-32bit libdatrie1-32bit libgraphite2-3-32bit
libgthread-2_0-0-32bit libibus-1_0-5-32bit libidn11-32bit libjbig2-32bit
libjpeg8-32bit libogg0-32bit libltdl7-32bit libpixman-1-0-32bit
libxcb1-32bit libharfbuzz0-32bit libthai0-32bit libtiff5-32bit
libvorbis0-32bit libxcb-render0-32bit libxcb-shm0-32bit libX11-6-32bit
libvorbisfile3-32bit libglvnd-32bit libgdk_pixbuf-2_0-0-32bit
libXrender1-32bit libXfixes3-32bit libXdamage1-32bit libXext6-32bit
libXcomposite1-32bit libcanberra0-32bit libGLU1-32bit libXft2-32bit
libXcursor1-32bit libcairo2-32bit libXinerama1-32bit libXrandr2-32bit
libXi6-32bit libpango-1_0-0-32bit libpangox-1_0-0-32bit
libgtk-2_0-0-32bit gtk2-tools-32bit libcanberra-gtk0-32bit
ibus-gtk-32bit gtk2-theming-engine-adwaita-32bit
libcanberra-gtk2-module-32bit acroread


But it fails to run, segfaults:

carlos@linux-phe7:~/Downloads> acroread Elec.pdf &
[1] 7474
carlos@linux-phe7:~/Downloads>
[1]+ Segmentation fault (core dumped) acroread Elec.pdf
carlos@linux-phe7:~/Downloads>

2018-06-05T14:13:04.182233+02:00 linux-phe7 [RPM][7436]: Transaction ID
5b167e41 finished: 0
2018-06-05T14:13:55.842015+02:00 linux-phe7 kernel: [ 6534.649971] traps:
acroread[7474] general protection ip:f472dcd1 sp:ffb029e4 error:0 in
libxcb.so.1.1.0[f4722000+2b000]

Needless to say, it works fine on Leap 42.3.

--
Cheers / Saludos,

Carlos E. R.
(from 42.3 x86_64 "Malachite" at Telcontar)

< Previous Next >
Follow Ups
References